Skip to main content
GET
/
sessions
List Sessions
curl --request GET \
  --url https://use.hoop.dev/api/sessions
{
  "data": [
    {
      "connection": "pgdemo",
      "connection_subtype": "postgres",
      "connection_tags": {
        "team": "banking;environment:prod"
      },
      "end_date": "2024-07-25T15:56:35.361101Z",
      "event_size": 569,
      "event_stream": [
        123
      ],
      "exit_code": 123,
      "id": "1CBC8DB5-FBF8-4293-8E35-59A6EEA40207",
      "integrations_metadata": {},
      "labels": {},
      "metadata": {},
      "metrics": {},
      "org_id": "0CD7F941-2BB8-4F9F-93B0-11620D4652AB",
      "review": {
        "access_duration": 0,
        "created_at": "2024-07-25T15:56:35.317601Z",
        "id": "9F9745B4-C77B-4D52-84D3-E24F67E3623C",
        "review_groups_data": [
          {
            "forced_review": false,
            "group": "sre",
            "id": "20A5AABE-C35D-4F04-A5A7-C856EE6C7703",
            "review_date": "2024-07-25T19:36:41Z",
            "reviewed_by": {
              "email": "john.wick@bad.org",
              "id": "D5BFA2DD-7A09-40AE-AFEB-C95787BA9E90",
              "name": "John Wick",
              "slack_id": "U053ELZHB53"
            },
            "status": "APPROVED"
          }
        ],
        "revoke_at": "",
        "time_window": {
          "configuration": {
            "end_time": "18:00",
            "start_time": "09:00"
          }
        }
      },
      "script": {
        "data": "SELECT NOW()"
      },
      "script_size": 12,
      "start_date": "2024-07-25T15:56:35.317601Z",
      "type": "database",
      "user": "<string>",
      "user_id": "nJ1xV3ASWGTi7L8Y6zvnKqxNlnZM2TxV1bRdc0706vZ",
      "user_name": "John Wick"
    }
  ],
  "has_next_page": true,
  "total": 100
}

Documentation Index

Fetch the complete documentation index at: https://hoopdev-docs-concepts-gaps-and-organization.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

user
string

Filter by user's subject id

connection
string

Filter by connection's name

type
string

Filter by connection's type

review.approver
string

Filter by the approver's email of a review

review.status
string

Filter by the review status

start_date
string<RFC3339>

Filter starting on this date

end_date
string<RFC3339>

Filter ending on this date

limit
integer

Limit the amount of records to return (max: 100)

offset
integer

Offset to paginate through resources

Response

OK

data
object[]
has_next_page
boolean
total
integer
Example:

100